/* Global PIE Stylesheet */
:root {
/* https://imagecolorpicker.com/color-code/00569f */
  --blue-base:#00569f;        /* Match for powdercoating */
  --blue-plus10:#004d8f;      /* base + 10% */
  --blue-minus40:#669ac5;     /* base - 40% */
  --blue-minus80:#ccddec;     /* base - 80% */
  --blue-minus85:#d9e6f1;     /* base - 85% */
  --blue-minus90:#e6eef5;     /* base - 90% */
  
  --bg:#e9ecf1;
  --card:#ffffff;
  --muted:#6b7280;
  --radius:12px;
}

body {
  font-family: 'Roboto', sans-serif;
  font-size: 15px;
  margin:0;
  background:var(--bg);
  color:#111;
}

header {
  background:linear-gradient(180deg,var(--blue-plus10),var(--blue-base));
  padding:5px 16px;
}

nav a {
  margin-right:5px;
  color:var(--blue-base);
  font-weight:600;
  text-decoration:none;
  padding: 11px 9px;
}

nav a:hover {
  color: white;
  background-color: var(--blue-base);
  text-decoration: none;
}

.container {
  max-width:1200px;
  margin:auto;
  padding-top:15px;
}

h1, h2, h3 {
  color:var(--blue-base);
  margin-top: 0px;
}

h4 {
  margin-left: 20px;
  line-height: 0.3em;
}

p {
  line-height: 1.3em;
}

h1 {
  text-align: center;
  font-size: 30px;
  margin-bottom: 20px;
}

.centered {
  text-align: center;
}

.card {
  background:var(--card);
  padding:20px;
  border-radius:var(--radius);
  box-shadow:0 4px 12px rgba(0,0,0,0.1);
  margin-bottom:20px;
}

.card_map {
  border-radius:var(--radius);
  box-shadow:0 4px 12px rgba(0,0,0,0.1);
  margin-bottom:20px;
  width: 100%;
  height: auto;
}

.card-bg {
  background-color: var(--blue-minus90);
  border: solid var(--blue-minus80);
}

.card-empty {
  background:var(--card);
  padding:20px;
  border-radius:var(--radius);
  margin-bottom:20px;
}

.card-slideshow {
  background: var(--blue-minus85);
  border-radius:var(--radius);
  box-shadow:0 4px 12px rgba(0,0,0,0.1);
  margin-bottom:20px;
  border: solid 2px var(--blue-minus80);
}

.card_footer {
  background:linear-gradient(180deg,var(--blue-base),var(--blue-plus10));
  padding:20px;
  border-radius:var(--radius);
  box-shadow:0 4px 12px rgba(0,0,0,0.1);
  color: var(--blue-minus80);
}

.grid {
  display:grid;
  gap:20px;
  grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
}

.grid_3to5 {
  display: grid;
  gap: 20px;
  grid-template-columns: 3fr 5fr;
}

.grid_5to3 {
  display: grid;
  gap: 20px;
  grid-template-columns: 5fr 3fr;
}

.grid_brands {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(4, 1fr);
}

.grid_brands ul {
  padding-inline-start: 12px;
}

ul {
  line-height:1.8;
  list-style: none;
  padding-inline-start: 25px;
}

.two_columns {
  column-count: 2;
}

.feat_res ul {
  padding-inline-start: 35px;
  line-height: 1.4;
}

.feat_res ul li::marker {
  font-size: 1.3em;
}

.features ul {
  list-style-type: "✓ ";
}

.resources ul {
  list-style-type: "❖ ";
}

footer {
  max-width:1200px;
  margin:auto;
  padding-top:15px;
  text-align:center;
  padding-top: 0px;
  margin-bottom: 20px;
}

footer p {
  margin: 0;
}

.product-image {
  width: 100%;
  height: auto;
  /* border-radius: 12px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  background-image: linear-gradient(120deg, var(--blue-minus80), var(--blue-minus40)); */
}

/* <-- Payment Portal */
  .wholesail-grid {
    display:grid;
    gap:20px;
    grid-template-columns:repeat(auto-fit,minmax(200px,1fr));
  }

  .wholesail-image {
    display: block;
    margin: 0px auto;
    height: 150px;
    max-width: 100%;
    border-radius: var(--radius);
    margin-bottom: 30px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  }

  .wholesail-logo {
    display: block;
    margin: 0px auto;
    width: 500px;
  }

  .wholesail-text {
    text-align: center;
    padding: 0px 350px;
  }

  .wholesail_link {
    display: block;
    width: 260px;
    margin: 0px auto;
    background: var(--blue-base);
    border-radius: var(--radius);
    padding: 5px 8px;
  }

  .wholesail_link a {
    color: var(--card);
  }

  .wholesail_link a:hover {
    color: var(--card);
  }

  .wholesail_link:hover {
    background: var(--blue-minus40);
  }
/* Payment Portal --> */

/* Banner */
.logo-banner {
  text-align: center;
  padding-top: 12px;
  padding-bottom: 0px;
}

.logo-banner img {
  width: 685px;
  max-width: 100%;
  height: auto;
}

/* Overlapping nav */
.nav-overlap {
  position: relative;
  top: -8px; /* overlap amount */
  z-index: 10;
  padding-bottom: 0px;
  text-align: center;
}

.nav {
  background: var(--card);
  display: inline-block;
  padding: 10px 20px;
  border-radius: var(--radius);
  box-shadow: 0 6px 18px rgba(0,0,0,0.08);
}

a {
  text-decoration: none;
  color: var(--blue-base);
}

a:hover {   
    text-decoration: none;
    color: var(--blue-minus40);
}

.logo {
  max-width: 300px;
  max-height: 19px;
  margin: 10px 0 16px 0;
}

.support ul {
  padding-inline-start: 10px;
}

.product_page_logo {
  max-width: 100%;
  display: block;
  margin: 0px auto 15px;
}

.product-description {
  padding: 0 0 10px 0px;
  /* text-align: justify; */
}

.product-description p {
  margin-top: 0;
}

.bold {
  font-weight: bold;
}

.hours {
  width: 250px;
}

.email {
  width: 330px;
}

.model {
  width: auto;
  margin: 0 auto;
  margin-bottom: 10px;
  font-style: italic;
  font-size: 92%;
}

/* <-- PRODUCT SLIDESHOW */
  .slideshow {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
  }

  .frame {
    position: relative;
    /* width: min(90vw, 800px); */
    width: min(90vw, 680px);
    aspect-ratio: 4/3;
    overflow: hidden;
    background: transparent;
  }

  .slide {
    position: absolute;
    inset: 0;
    opacity: 0;
    transform: scale(1.04);
    /* transition: opacity 800ms ease, transform 800ms ease; */
    transition: opacity 1500ms ease, transform 1500ms ease;
  }

  .slide.active {
    opacity: 1;
    transform: scale(1);
  }

  .slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .arrows {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    display: flex;
    gap: .3rem;
  }

  .arrow-btn {
    width: 35px; height: 28px;
    background: var(--blue-minus40);
    border: 1px solid var(--blue-minus80);
    color: var(--card);
    font-size: 17px;
    cursor: pointer;
    display: flex; align-items: center; justify-content: center;
    transition: background .2s;
  }

  .arrow-btn:hover { 
    background: var(--blue-minus80); 
    border: 1px solid var(--blue-minus40);
    color: var(--blue-plus10);
  }
/* PRODUCT SLIDESHOW --> */


/* <-- POS SCROLL */
  .image-track {
      overflow: hidden;
      width: 100%;
      position: relative;
  }

  .logo-track {
      display: flex;
      animation: scrollLeft 20s linear infinite;  /* This defines speed of the scroll */
      width: max-content;
  }

  .gallery-img {
      height: 150px;
      margin: 0 1.5rem;   /* This defines the gap between images */
      object-fit: contain;
      flex-shrink: 0;
  }

  @keyframes scrollLeft {
      0% {
          transform: translateX(0);
      }
      100% {
          transform: translateX(-50%);
      }
  }
/* POS SCROLL --> */

/* <-- COMPATIBILITY SECTION */
  .extra {
    display: none;
  }

  .toggle-btn {
      background: none;
      border: none;
      color: var(--blue-base);
      font-weight: bold;
      padding: 4px 0;
    }

  .toggle-btn:hover {
    background: none;
    color: var(--blue-minus40);
  }
/* COMPATIBILITY SECTION --> */

/* <-- CONTACT FORM */
  .form-group { 
    margin-bottom: 15px; 
  }

  label { 
    display: block; 
    margin-bottom: 5px; 
  }

  input, select, textarea { 
    width: 98%; 
    padding: 8px; 
    border: 1px solid #ccc; 
    border-radius: 4px; 
  }
  button { 
    padding: 10px 15px; 
    background: #007BFF;  /* */
    color: white; 
    border: none; 
    border-radius: 4px; 
    cursor: pointer; 
  }
  button:hover { 
    background: #0056b3; 
  }
/* <-- CONTATAC FORM */